[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#52748: Potato debs using new chmod/rmdir options should depend on new fileutils

Package: general
Version: N/A;
Severity: normal

-- System Information
Debian Release: potato
Architecture: i386
Kernel: Linux Phi 2.2.10 #1 Mon Nov 15 06:21:18 /etc/localtime 1999 i586

Partially upgrading from Slink to unstable, I found some packages which used new options of rmdir and chmod in their postinst scripts, but didn't depend on a recent version of fileutils.deb

This can stop the scripts and thus an upgrade if the user doesn't manually upgrade his fileutils.deb

I don't know how many packages are concerned, but since most people playing with unstable probably have completly unstable installation, this problem could stay hidden for some time if maintainers don't check themselves their scripts.

For the record, I've had problems with the --ignore-fail-on-non-empty option of rmdir, and chmod --reference, which were not there in fileutils 3.16 (the Slink version).

Have a nice day,

Reply to: